import React from "react";
import styled from "styled-components";

const Tile = styled.div`
  flex: 1;
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: center;
`

const Name = styled.span`
  font-size: 1.4em;
  font-weight: 800;
`

const TotalScore = styled.span`
  font-size: 1.1em;
`

const List = styled.ol`
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: flex-start;
  margin-bottom: 20%;
`

const Score = styled.li`
  flex: 1;
`

export default ({ name, guesses, totalScore }) => (
  <Tile>
    <Name>{name}</Name>
    <TotalScore>Score: {totalScore}</TotalScore>
    <List>
      <Score>{guesses["1"] && guesses["1"].score}</Score>
      <Score>{guesses["2"] && guesses["2"].score}</Score>
      <Score>{guesses["3"] && guesses["3"].score}</Score>
      <Score>{guesses["4"] && guesses["4"].score}</Score>
      <Score>{guesses["5"] && guesses["5"].score}</Score>
    </List>
  </Tile>
);
